require 'spec_helper'

describe Samscript::Screen do
  before :all do
    java_import 'java.awt.Dimension'
    java_import 'java.awt.image.BufferedImage'
    java_import 'java.awt.Rectangle'
  end

  it "screen resolution return type" do
    res = Samscript::Screen.resolution
    res.should be_a(Dimension)
  end

  it "capture full screen" do
    capture = Samscript::Screen.capture
    capture.should be_a(BufferedImage)
  end

  it "capture part of screen" do
    rect = Rectangle.new(100, 100, 100, 100)
    capture = Samscript::Screen.capture rect
    capture.should be_a(BufferedImage)
  end
end
