require 'spec_helper'

describe Samscript::Image do
  before :all do
    java_import 'java.awt.Color'
  end

  let(:screenshot) { Samscript::Screen.capture }

  it "getting pixel colour" do
    pixel = Samscript::Image.get_pixel(screenshot, x: 200, y: 200)
    pixel.should be_a(Color)
  end
end
